using System;
using System.Drawing;
using System.Windows.Forms;
	
namespace Test
{
	public class BoxingTheClient : PrintableForm
	{
		public BoxingTheClient()
		{
			this.Text = "   ";
			this.Width += 80;
		}
	
		//     PrintableForm
		protected override void DoPage(Graphics graphics, Color color, int cx, int cy)
		{
			Point[] apoint = {
								 new Point(0, 0),
								 new Point(cx - 1, 0),
								 new Point(cx - 1, cy - 1),
								 new Point(0, cy - 1),
								 new Point(0, 0)
							 };
			graphics.DrawLines(new Pen(color, 10), apoint);
		}
	}
}
