using System;
using System.Drawing;
using System.Windows.Forms;
	
namespace Test
{
	public class DashedEllipse : PrintableForm
	{
		public DashedEllipse()
		{
			this.Text = "   DrawArc()";
		}
	
		//     PrintableForm
		protected override void DoPage(Graphics graphics, Color color, int cx, int cy)
		{
			int width = 30;
			Rectangle rect = new Rectangle(width / 2, width / 2, 
				cx - 1 - width, cy - 1 - width);
			Pen pen = new Pen(Color.Red, width);
			for(int iAngle = 0; iAngle < 360; iAngle += 15)
				graphics.DrawArc(pen, rect, iAngle, 10);
		}
	}
}