using System;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Windows.Forms;
	
namespace Test
{
	public class FillModesClassical : PrintableForm
	{
		public FillModesClassical()
		{
			this.Text = "   (FillModesClassical)";
			this.ClientSize = new Size(2 * this.ClientSize.Height,
				this.ClientSize.Height);
		}
	
		//     PrintableForm
		protected override void DoPage(Graphics graphics, Color color, int cx, int cy)
		{
			SolidBrush brush = new SolidBrush(color);
			Point[] apoint = new Point[5];
			int iMax = apoint.GetUpperBound(0); //   -
	
			//  
			for(int i = 0; i <= iMax; i++)
			{
				Double rAngle = (i * 0.8 - 0.5) * Math.PI;
				apoint[i].X = Convert.ToInt32(cx * (0.25 + 0.24 * Math.Cos(rAngle)));
				apoint[i].Y = Convert.ToInt32(cy * (0.5 + 0.48 * Math.Sin(rAngle)));
			}
			graphics.FillPolygon(brush, apoint, FillMode.Alternate);
	
			//  
			for(int i = 0; i <= iMax; i++)
				apoint[i].X += cx / 2;
			graphics.FillPolygon(brush, apoint, FillMode.Winding);
		}
	}
}
