using System;
using System.Drawing;
using System.Windows.Forms;
	
namespace Test
{
	public class BetterPieChart : PieChart
	{
		public BetterPieChart()
		{
			this.Text = "   (BetterPieChart)";
			this.Height += 20;
		}
	
		//   
		protected override void DrawPieSlice(Graphics gr, Pen pn, 
			Rectangle rect, Single fAngle, Single fSweep)
		{
			Single fSlice = Convert.ToSingle(2 * Math.PI / 360 * (fAngle + fSweep / 2));
			rect.Offset(Convert.ToInt32((double)rect.Width / 10 * Math.Cos(fSlice)),
				Convert.ToInt32((double)rect.Height / 10 * Math.Sin(fSlice)));
	
			base.DrawPieSlice (gr, pn, rect, fAngle, fSweep);
		}
	}
}
