using System;
using System.Drawing;
using System.Windows.Forms;
	
namespace Test
{
	public class PieChart : PrintableForm
	{
		private int[] aiValues = {50, 100, 25, 150, 100, 75};
	
		public PieChart()
		{
			this.Text = "   (PieChart)";
		}
	
		//     PrintableForm
		protected override void DoPage(Graphics graphics, Color color, int cx, int cy)
		{
			Rectangle rect = new Rectangle(50, 50, 200, 200);
			Pen pen = new Pen(color);
			int iTotal = 0;
			float fAngle = 0;
			Single fSweep; //  Single   float
	
			foreach(int iValue in aiValues)
				iTotal += iValue;
	
			foreach(int iValue in aiValues)
			{
				fSweep = 360.0F * iValue / (Single)iTotal;
				DrawPieSlice(graphics, pen, rect, fAngle, fSweep);
				fAngle += fSweep;
			}
		}
	
		//   
		protected virtual void DrawPieSlice(Graphics gr, Pen pn, Rectangle rect,
			Single fAngle, Single fSweep)
		{
			gr.DrawPie(pn, rect, fAngle, fSweep);
		}
	}
}
