using System;
using System.Drawing;
using System.Windows.Forms;
	
namespace Test
{
	public class PolyEllipse : PrintableForm
	{
		public PolyEllipse()
		{
			this.Text = "   DrawLines()";
			this.Width += 100;
		}
	
		//     PrintableForm
		protected override void DoPage(Graphics graphics, Color color, int cx, int cy)
		{
			int iNum = 2 * (cx + cy);
			PointF[] apointf = new PointF[iNum + 1];
			for(int i = 0; i <= iNum; i++)
			{
				double rAng = i * 2 * Math.PI / iNum;
				apointf[i].X = (float)((cx - 1) / 2 * (1 + Math.Cos(rAng)));
				apointf[i].Y = (float)((cy - 1) / 2 * (1 + Math.Sin(rAng)));
			}
	
			graphics.DrawLines(new Pen(color), apointf);
		}
	}
}
