using System;
using System.Drawing;
using System.Windows.Forms;
	
namespace Test
{
	public class SineCurve : PrintableForm
	{
		public SineCurve()
		{
			this.Text = "   DrawLines()";
		}
	
		//     PrintableForm
		protected override void DoPage(Graphics graphics, Color color, int cx, int cy)
		{
			PointF[] apointf = new PointF[cx];
			for(int i = 0; i < cx; i++)
			{
				apointf[i].X = i;
				apointf[i].Y = ((float)(cy - 1) / 2) * (float)
					(1 - Math.Sin(i * 2 * Math.PI / (cx - 1)));
			}
			graphics.DrawLines(new Pen(color), apointf);
		}
	}
}