using System;
using System.Windows.Forms;
using System.Drawing;
	
namespace Test
{
	public class XMarksTheSpot : Form
	{
		public XMarksTheSpot()
		{
			this.Text = "   ";
			this.Width += 50;
			this.Height /= 2;
			this.BackColor = System.Drawing.SystemColors.Window;
			this.ForeColor = System.Drawing.SystemColors.WindowText;
			this.ResizeRedraw = true;
		}
	
		protected override void OnPaint(PaintEventArgs e)
		{
			Graphics graphics = e.Graphics;
			Pen pen = new Pen(this.ForeColor);
			graphics.DrawLine(pen, // 
				0, 0, //     
				this.ClientSize.Width - 1, this.ClientSize.Height - 1);//  
			graphics.DrawLine(pen, 
				this.ClientSize.Width - 1, 0, //  
				0, this.ClientSize.Height - 1);//  
	
			base.OnPaint (e);
		}
	}
}
